Name:           jruby-maven-plugins
Version:        1.1.0
Release:        2%{?dist}
Summary:        JRuby Maven plugins

License:        MIT
URL:            https://github.com/torquebox/jruby-maven-plugins
Source0:        https://github.com/torquebox/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:         snakeyaml-1.16.patch
Patch1:         fedora-integration.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-velocity)
BuildRequires:  mvn(org.jruby:jruby-core)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:  mvn(org.yaml:snakeyaml)

BuildArch:      noarch

%description
This package contains set of utilities to handle RubyGems in a Maven way.
It also includes support for rspec, rails, cucumber, rake, etc.

%package javadoc
Summary:        API documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jruby-maven-plugins-jruby-maven-plugins-%{version}

find . -name "*.jar" -delete
find . -name "*.class" -delete

%patch0 -p1
%patch1 -p1

sed -i 's|"1.7.19"|"1.7.20"|g' jruby-maven-plugin/src/main/java/de/saumya/mojo/jruby/AbstractJRubyMojo.java

# TODO: not very nice, how to improve it?
sed -i 's|@FEDORA_VENDOR_DIR_GENERAL@|%{_datadir}/jruby/lib|' ruby-tools/src/main/java/de/saumya/mojo/ruby/script/AntLauncher.java
sed -i 's|@FEDORA_SITE_DIR_GENERAL@|%{_prefix}/local/share/jruby/lib|' ruby-tools/src/main/java/de/saumya/mojo/ruby/script/AntLauncher.java
sed -i 's|@FEDORA_VENDOR_DIR_RUBYGEMS@|%{_datadir}/rubygems|' ruby-tools/src/main/java/de/saumya/mojo/ruby/script/AntLauncher.java

%pom_remove_dep :maven-tools ruby-tools

%pom_remove_plugin :maven-dependency-plugin ruby-tools
%pom_remove_plugin :exec-maven-plugin ruby-tools

%pom_change_dep -r :jruby-complete :jruby-core

%build
# tests fail: "loading resource from classloader failed: META-INF/jruby.home/bin/gem"
# that's because we don't have jruby-complete uber JAR in Fedora
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license license.txt
%doc README.md
%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 29 2015 Michal Srb <msrb@redhat.com> - 1.1.0-1
- Update to 1.1.0
- Fix FTBFS
- Port to snakeyaml 1.16

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Michal Srb <msrb@redhat.com> - 1.0.10-3
- Integrate with Fedora

* Fri May 15 2015 Michal Srb <msrb@redhat.com> - 1.0.10-2
- Do not build rails3 plugin
- Install readme file

* Thu May 14 2015 Michal Srb <msrb@redhat.com> - 1.0.10-1
- Initial packaging

